vfree
Prev | More Memory Management Functions | Next

## Name

vfree — release memory allocated by `vmalloc`

## Synopsis

`void vfree (` | const void * | addr`)`;

## Arguments

`addr`

  memory base address

## Description

Free the virtually continuous memory area starting at `addr`, as obtained from `vmalloc`, `vmalloc_32` or `__vmalloc`. If `addr` is NULL, no operation is performed.

Must not be called in interrupt context.

Prev | Up | Next
vmtruncate | Home | vunmap